## libharu 2.3.0+dfsg

=== demo/CMakeLists.txt ===
# demo/CMakeLists.txt
#
# Copyright (C) 2008  Werner Smekal
#
# create demo executables

if(LIBHPDF_EXAMPLES)
  # =======================================================================
  # source file names and c flags
  # =======================================================================
  set(
    demos_NAMES
    	character_map
    	encoding_list
    	encryption
    	ext_gstate_demo
    	font_demo
    	image_demo
    	jpeg_demo
    	jpfont_demo
    	line_demo
    	link_annotation
      make_rawimage
    	outline_demo
      #outline_demo_jp
    	permission
    	png_demo
    	slide_show_demo
    	text_annotation
    	ttfont_demo
    	ttfont_demo_jp
  )

  set(
    demos_with_grid_NAMES
    	arc_demo
      chfont_demo
    	raw_image_demo
    	text_demo
    	text_demo2
  )

  # we need to add some definitions for win 32
  set(DEMO_C_FLAGS)
  if(WIN32 AND NOT CYGWIN)
    set(DEMO_C_FLAGS "-D__WIN32__")
  endif(WIN32 AND NOT CYGWIN)

  # link the examples to the shared library otherwise to the static
  if(LIBHPDF_SHARED)
    set(_LIBHPDF_LIB ${LIBHPDF_NAME})
    if(WIN32 AND NOT CYGWIN)
      set(DEMO_C_FLAGS "${DEMO_C_FLAGS} -DHPDF_DLL")
    endif(WIN32 AND NOT CYGWIN)
  else(LIBHPDF_SHARED)
    set(_LIBHPDF_LIB ${LIBHPDF_NAME_STATIC})
  endif(LIBHPDF_SHARED)
  
  # =======================================================================
  # create demos
  # =======================================================================
  foreach(demo ${demos_NAMES})
    add_executable(${demo} ${demo}.c)
    target_link_libraries(${demo} ${_LIBHPDF_LIB})
    if(DEMO_C_FLAGS)
      set_target_properties(${demo} PROPERTIES COMPILE_FLAGS ${DEMO_C_FLAGS})
    endif(DEMO_C_FLAGS)
  endforeach(demo)
    
  # some demos need grid_sheet.c compiled in
  foreach(demo ${demos_with_grid_NAMES})
    add_executable(${demo} ${demo}.c grid_sheet.c)
    target_link_libraries(${demo} ${_LIBHPDF_LIB})
    if(DEMO_C_FLAGS)
      set_target_properties(${demo} PROPERTIES COMPILE_FLAGS ${DEMO_C_FLAGS})
    endif(DEMO_C_FLAGS)
  endforeach(demo)
    
  # the grid_sheet demo needs extra defines
  add_executable(grid_sheet grid_sheet.c)
  target_link_libraries(grid_sheet ${_LIBHPDF_LIB})
  set_target_properties(grid_sheet PROPERTIES COMPILE_FLAGS "${DEMO_C_FLAGS} -DSTAND_ALONE")

  # =======================================================================
  # install demo source, demo executables and other files
  # =======================================================================
  install(
    TARGETS ${demos_NAMES} ${demos_with_grid_NAMES} grid_sheet
    DESTINATION demo
  )
  foreach(demo ${demos_NAMES} ${demos_with_grid_NAMES} grid_sheet)
    install(FILES ${demo}.c DESTINATION demo)
  endforeach(demo)

  # install demo files
  install(
    DIRECTORY images mbtext pngsuite rawimage ttfont type1
    DESTINATION demo
  )
endif(LIBHPDF_EXAMPLES)

=== src/CMakeLists.txt ===
# src/CMakeLists.txt
#
# Copyright (C) 2008  Werner Smekal
#
# create library
# =======================================================================
# libharu source files
# =======================================================================
set(
  LIBHPDF_SRCS
  	hpdf_annotation.c
  	hpdf_array.c
  	hpdf_binary.c
  	hpdf_boolean.c
  	hpdf_catalog.c
  	hpdf_destination.c
  	hpdf_dict.c
  	hpdf_doc_png.c
  	hpdf_doc.c
  	hpdf_encoder_cns.c
  	hpdf_encoder_cnt.c
  	hpdf_encoder_jp.c
  	hpdf_encoder_kr.c
  	hpdf_encoder.c
  	hpdf_encrypt.c
  	hpdf_encryptdict.c
  	hpdf_error.c
  	hpdf_ext_gstate.c
  	hpdf_font_cid.c
  	hpdf_font_tt.c
  	hpdf_font_type1.c
  	hpdf_font.c
  	hpdf_fontdef_base14.c
  	hpdf_fontdef_cid.c
  	hpdf_fontdef_cns.c
  	hpdf_fontdef_cnt.c
  	hpdf_fontdef_jp.c
  	hpdf_fontdef_kr.c
  	hpdf_fontdef_tt.c
  	hpdf_fontdef_type1.c
  	hpdf_fontdef.c
  	hpdf_gstate.c
	hpdf_image_ccitt.c
  	hpdf_image_png.c
  	hpdf_image.c
  	hpdf_info.c
  	hpdf_list.c
  	hpdf_mmgr.c
  	hpdf_name.c
  	hpdf_namedict.c
  	hpdf_null.c
  	hpdf_number.c
  	hpdf_objects.c
  	hpdf_outline.c
  	hpdf_page_label.c
  	hpdf_page_operator.c
  	hpdf_pages.c
  	hpdf_real.c
  	hpdf_streams.c
  	hpdf_string.c
  	hpdf_u3d.c
  	hpdf_utils.c
  	hpdf_xref.c
  	hpdf_pdfa.c
	hpdf_3dmeasure.c
	hpdf_exdata.c
	hpdf_encoder_utf.c
)

# =======================================================================
# create static and shared haru library
# =======================================================================
if(LIBHPDF_STATIC)
  add_library(${LIBHPDF_NAME_STATIC} STATIC ${LIBHPDF_SRCS})
  target_link_libraries(${LIBHPDF_NAME_STATIC} ${ADDITIONAL_LIBRARIES})
  install(
    TARGETS ${LIBHPDF_NAME_STATIC}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
  )
  if(WIN32 AND NOT CYGWIN)
		foreach(addlib ${ADDITIONAL_LIBRARIES})
			install(FILES ${addlib} DESTINATION lib)
		endforeach(addlib)
  endif(WIN32 AND NOT CYGWIN)
endif(LIBHPDF_STATIC)
if(LIBHPDF_SHARED)
  add_library(${LIBHPDF_NAME} SHARED ${LIBHPDF_SRCS})
  target_link_libraries(${LIBHPDF_NAME} ${ADDITIONAL_LIBRARIES})
  if(WIN32 AND NOT CYGWIN)
  	set_target_properties(${LIBHPDF_NAME} PROPERTIES DEFINE_SYMBOL HPDF_DLL_MAKE)
  endif(WIN32 AND NOT CYGWIN)
  install(
    TARGETS ${LIBHPDF_NAME}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
  )
endif(LIBHPDF_SHARED)

## libharu 2.1.0+dfsg

=== debian/changelog ===
libharu (2.1.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #581397)
  * Delete unused windows build files
  * Delete non-free pngsuite from demos
  * Remove other copy of pngsuite
  * Remove demo pdf files
  * Remove font from demo (already in debian)
  * Remove font Penguinattack, already packaged
  * Delete unneeded autom4te cache files
  * Update example to work with font in debian
  * Initial import debian/* files
  * Update autotools
  * Different patches backported from the upstream git repository

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sun, 18 Jul 2010 11:35:53 +0200

=== debian/control ===
Source: libharu
Priority: extra
Maintainer: Johan Van de Wauw <johan.vandewauw@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libpng-dev, libz-dev
Standards-Version: 3.9.0
Section: libs
Homepage: http://www.libharu.org
Vcs-Git: git://git.debian.org/collab-maint/libharu.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libharu.git

Package: libhpdf-dev
Section: libdevel
Architecture: any
Depends: libhpdf-2.1.0 (= ${binary:Version}), ${misc:Depends}
Description: C library for generating pdf files (development files)
 Haru is a free, cross platform, open-source C library for generating 
 PDF files. It supports the following features:
  1. Generation of PDF files with lines, text and images.
  2. Outlines, text and link annotations.
  3. Document compression usig deflate-decode.
  4. Embedded PNG and Jpeg images.
  5. Embedded Type1 and TrueType fonts.
  6. Creation of encrypted PDF files.
  7. Usage of various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
  8. Support for CJK fonts and encodings.
 This package contains the header files for developing with libharu.

Package: libhpdf-2.1.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library for generating pdf files
 Haru is a free, cross platform, open-source C library for generating 
 PDF files. It supports the following features:
  1. Generation of PDF files with lines, text and images.
  2. Outlines, text and link annotations.
  3. Document compression usig deflate-decode.
  4. Embedded PNG and Jpeg images.
  5. Embedded Type1 and TrueType fonts.
  6. Creation of encrypted PDF files.
  7. Usage of various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
  8. Support for CJK fonts and encodings.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

UPSTREAM_URL ?=$(shell uscan --dehs | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
TAR_NAME ?=libharu-$(UPSTREAM_VERSION).tar

get-orig-source:
	wget $(UPSTREAM_URL)
	gunzip $(TAR_NAME).gz
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/demo/pngsuite 
	tar --delete -f $(TAR_NAME) "libharu-$(UPSTREAM_VERSION)/if/c#/demo/pngsuite" #note: no longer needed on current git version
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/win32
	tar --delete -f $(TAR_NAME) --wildcards libharu-$(UPSTREAM_VERSION)/demo/*.pdf
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/demo/ttfont
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/demo/type1
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/autom4te.cache
	gzip -9n $(TAR_NAME)
	mv $(TAR_NAME).gz ../libharu_$(UPSTREAM_VERSION)+dfsg.orig.tar.gz

## libharu 2.2.1

=== debian/changelog ===
libharu (2.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (closes: #727409)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 20:03:51 +0800

libharu (2.2.1-1) unstable; urgency=low

  * update to upstream 2.2.1
  * Set priority to optional instead of extra (Closes: #631332)
  * Remove unneeded patches (part of libharu 2.2.0 and above)
  * Import some upstream bugfixes
  * Update copyright/rules file, no dfsg cleaning needed anymore
  * Update package name to reflect soname change
  * Remove libtool-helper (*.la) and static library (*.a) from -dev package
  * Update copyright file to DEP-5 format 

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 30 Aug 2011 18:39:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libharu
-Priority: extra
+Priority: optional
 Maintainer: Johan Van de Wauw <johan.vandewauw@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libpng-dev, libz-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), libpng-dev, libz-dev, dh-autoreconf
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.libharu.org
 Vcs-Git: git://git.debian.org/collab-maint/libharu.git
@@ -11,7 +11,7 @@
 Package: libhpdf-dev
 Section: libdevel
 Architecture: any
-Depends: libhpdf-2.1.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libhpdf-2.2.1 (= ${binary:Version}), ${misc:Depends}
 Description: C library for generating pdf files (development files)
  Haru is a free, cross platform, open-source C library for generating 
  PDF files. It supports the following features:
@@ -25,7 +25,7 @@
   8. Support for CJK fonts and encodings.
  This package contains the header files for developing with libharu.
 
-Package: libhpdf-2.1.0
+Package: libhpdf-2.2.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C library for generating pdf files

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@ --with autoreconf

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://libharu.org/files/libharu-(\d\.\d\.\d)\.tar\.gz

## libharu 2.3.0%2Bdfsg

=== debian/control ===
Source: libharu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Johan Van de Wauw <johan@gisky.be>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libpng-dev,
               libz-dev
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libharu.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libharu.git
Homepage: http://www.libharu.org

Package: libhpdf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libhpdf-2.3.0 (= ${binary:Version}),
         ${misc:Depends}
Description: C library for generating pdf files (development files)
 Haru is a free, cross platform, open-source C library for generating
 PDF files. It supports the following features:
  1. Generation of PDF files with lines, text and images.
  2. Outlines, text and link annotations.
  3. Document compression using deflate-decode.
  4. Embedded PNG and Jpeg images.
  5. Embedded Type1 and TrueType fonts.
  6. Creation of encrypted PDF files.
  7. Usage of various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
  8. Support for CJK fonts and encodings.
 This package contains the header files for developing with libharu.

Package: libhpdf-2.3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C library for generating pdf files
 Haru is a free, cross platform, open-source C library for generating
 PDF files. It supports the following features:
  1. Generation of PDF files with lines, text and images.
  2. Outlines, text and link annotations.
  3. Document compression using deflate-decode.
  4. Embedded PNG and Jpeg images.
  5. Embedded Type1 and TrueType fonts.
  6. Creation of encrypted PDF files.
  7. Usage of various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
  8. Support for CJK fonts and encodings.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh  $@ --buildsystem=autoconf --with autoreconf --parallel

## libharu 2.3.0+dfsg

=== debian/changelog ===
libharu (2.3.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Andreas Tille ]
  * Secure URI in Homepage
  * d/watch: version=5
  * d/copyright:
     - Remove redundant comment
     - also remove .github
  * Fix clean target
    Closes: #1046982
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Update lintian override info format in d/libhpdf-2.3.0.lintian-overrides
  * debian/not-installed: Do not install *.a and *.la

  [ David C. Lonie ]
  * Add support for free-form triangle Shading objects.
    Closes: #893921

 -- Andreas Tille <tille@debian.org>  Fri, 23 Jan 2026 08:35:18 +0100

libharu (2.3.0+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable

 -- Johan Van de Wauw <johan@gisky.be>  Wed, 27 Dec 2017 17:16:45 +0100

libharu (2.3.0+dfsg-1~exp4) experimental; urgency=medium

  * Remove whitespaces at end of line in control file
  * Bump standards version - no changes required
  * Update my mail address

 -- Johan Van de Wauw <johan@gisky.be>  Wed, 06 Dec 2017 20:16:59 +0100

libharu (2.3.0+dfsg-1~exp3) experimental; urgency=medium

  * Team upload.
  * Update watch file to handle common issues.
  * Restructure control file with cme.
  * Update Vcs-Git URL to use HTTPS.
  * Update copyright file, changes:
    - Add Source field
    - Update Format URL to use HTTPS.
    - Add license & copyright for hpdf_encrypt.{c,h} & t4.h
    - Add Sergey Konovalov & Koen Deforche to copyright holders
  * Use #PACKAGE# marker instead of hardcoded package name in symbols file.
  * Add upstream metadata.
  * Add DEP3 headers to fix-version.diff.
  * Enable parallel builds.
  * Bump Standards-Version to 3.9.8, no changes.
  * Add lintian override for hardening-no-fortify-functions.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 19:03:43 +0100

libharu (2.3.0+dfsg-1~exp2) experimental; urgency=medium

  * Update license in debian/copyright after FTP-master comments

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 24 Sep 2015 20:52:13 +0200

libharu (2.3.0+dfsg-1~exp1) experimental; urgency=medium

  * Imported Upstream version 2.3.0+dfsg(Closes: #726069)
  * Bump standards version (no changes needed)
  * Bump library package number
  * Update install filename
  * Switch to debhelper 9 - enable multiarch
  * Remove unneccessary patches
  * Revert "Update copyright/rules file, no dfsg cleaning needed anymore"
  * Update rules to new upstream tarball format
  * Add info on how to build dfsg-free version
  * Make sure autoconf is used (as was in previous packages)
  * Use Files-excluded to repack original tarball
  * Fix version dependency in control file
  * Fix scm urls
  * Add symbols
  * Add gbp.conf
  * Fix rebuild
  * Remove symbols of old library
  * Update copyright year
  * Fix package description (Closes: #753246)
  * Add multi-arch to control file
  * Move explanation of dfsg cleaning to copyright
  * Remove get-orig-source from d/rules
  * Fix d/copyright version

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 20 Aug 2015 13:30:16 +0200

libharu (2.2.1-2) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Bump standards version
  * Fix copyright file formatting
  * Support huge fonts (Closes: #726069)
  * Autoreconf to support recent architectures(Closes: #727409)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sun, 27 Oct 2013 18:07:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@  --buildsystem=autoconf

=== debian/watch ===
Version: 5

Template: Github
Owner: libharu
Project: libharu
Dversion-Mangle: auto
Repack-Suffix: +dfsg
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/RC/rc/;s/_/./g
